> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns order offers for unlock authorities



## OpenAPI

````yaml /dln-details/swagger/monitoring.json post /api/Orders/getForUnlockAuthorities
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/Orders/getForUnlockAuthorities:
    post:
      tags:
        - Orders
      summary: Returns order offers for unlock authorities
      operationId: Orders_GetOrdersInfoForUnlockAuthorities
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/OrderGiveOfferRequestDTO'
            example:
              giveChainIds:
                - 1
                - 137
                - 250
              orderStates:
                - Fulfilled
                - SentUnlock
              unlockAuthorities: '0x510c9d0c01d27947ad8dad65a39feb5031b689b2'
              skip: 0
              take: 1
          application/json:
            schema:
              $ref: '#/components/schemas/OrderGiveOfferRequestDTO'
            example:
              giveChainIds:
                - 1
                - 137
                - 250
              orderStates:
                - Fulfilled
                - SentUnlock
              unlockAuthorities: '0x510c9d0c01d27947ad8dad65a39feb5031b689b2'
              skip: 0
              take: 1
          text/json:
            schema:
              $ref: '#/components/schemas/OrderGiveOfferRequestDTO'
            example:
              giveChainIds:
                - 1
                - 137
                - 250
              orderStates:
                - Fulfilled
                - SentUnlock
              unlockAuthorities: '0x510c9d0c01d27947ad8dad65a39feb5031b689b2'
              skip: 0
              take: 1
          application/*+json:
            schema:
              $ref: '#/components/schemas/OrderGiveOfferRequestDTO'
            example:
              giveChainIds:
                - 1
                - 137
                - 250
              orderStates:
                - Fulfilled
                - SentUnlock
              unlockAuthorities: '0x510c9d0c01d27947ad8dad65a39feb5031b689b2'
              skip: 0
              take: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderGiveOfferResponseDTO'
              example:
                orders:
                  - orderId:
                      bytesValue: 0qcOs1Ad8JrlStmCRHrE8Ul4DZDsqx5GZFhq9Tajo20=
                      bytesArrayValue: >-
                        [210,167,14,179,80,29,240,154,229,74,217,130,68,122,196,241,73,120,13,144,236,171,30,70,100,88,106,245,54,163,163,109]
                      stringValue: >-
                        0xd2a70eb3501df09ae54ad982447ac4f149780d90ecab1e4664586af536a3a36d
                    giveTokenAddress:
                      Base64Value: J5G8ofLeRmHtiKMMmaepRJqoQXQ=
                      bytesArrayValue: >-
                        [39,145,188,161,242,222,70,97,237,136,163,12,153,167,169,68,154,168,65,116]
                      stringValue: '0x2791bca1f2de4661ed88a30c99a7a9449aa84174'
                    finalGiveAmount:
                      bytesValue: AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABC4aE=
                      bytesArrayValue: >-
                        [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,225,161]
                      bigIntegerValue: 4383137
                      stringValue: '4383137'
                totalCount: 1
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    OrderGiveOfferRequestDTO:
      type: object
      properties:
        giveChainIds:
          type: array
          items:
            type: integer
            format: int64
          description: >-
            If set, only orders that originated in specified chains will be in
            the output
          nullable: true
        orderStates:
          type: array
          items:
            $ref: '#/components/schemas/OrderState'
          description: >-
            If set, only orders that are in specified states, will be in the
            output
          nullable: true
        unlockAuthorities:
          type: string
          description: "If set, only orders that have a specified address as unlock authority in destination chain will be in the output\r\nMultiple values can be specified at the same time (with space as separator), if many values are specified, result will contain all orders that fit at least one of the criteria"
          nullable: true
        skip:
          type: integer
          description: items to skip (pagination)
          format: int32
        take:
          type: integer
          description: Number of items to return (pagination)
          format: int32
      additionalProperties: false
    OrderGiveOfferResponseDTO:
      type: object
      properties:
        orders:
          type: array
          items:
            $ref: '#/components/schemas/OrderGiveOfferDTO'
          description: Orders from requested page of the search result
          nullable: true
        totalCount:
          type: integer
          description: Total number of orders fitting the search criteria
          format: int32
      additionalProperties: false
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: >-
            Error code, if differs from response code (if !=422) indicates
            unique id of the error that can be used for error's handling
            automation on client side
          format: int32
      additionalProperties: false
      description: Information about error, occurred in the application
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error
    OrderState:
      enum:
        - None
        - Created
        - Fulfilled
        - SentUnlock
        - OrderCancelled
        - SentOrderCancel
        - ClaimedUnlock
        - ClaimedOrderCancel
      type: string
    OrderGiveOfferDTO:
      type: object
      properties:
        orderId:
          oneOf:
            - $ref: '#/components/schemas/StringPropertyDTO'
            - $ref: '#/components/schemas/TransactionHashPropertyDto'
          description: Unique identifier of the order
          nullable: true
        giveTokenAddress:
          $ref: '#/components/schemas/AddressPropertyDTO'
        finalGiveAmount:
          $ref: '#/components/schemas/IntPropertyDTO'
      additionalProperties: false
      description: Info about an offer
    StringPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    TransactionHashPropertyDto:
      type: object
      allOf:
        - $ref: '#/components/schemas/StringPropertyDTO'
      properties:
        stringValue:
          type: string
          description: String representation of the transaction hash value
          nullable: true
          readOnly: true
      additionalProperties: false
      description: Transaction Hash property
    AddressPropertyDTO:
      type: object
      properties:
        Base64Value:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    IntPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        bigIntegerValue:
          type: number
          description: Integer representation of the property value
          format: int64
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false

````